Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83085 - Package Management and CD Automount conflict
Summary: Package Management and CD Automount conflict
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-30 03:47 UTC by Bill Glover
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-21 13:22:18 UTC


Attachments (Terms of Use)

Description Bill Glover 2003-01-30 03:47:54 UTC
Description of problem:Run Package Manager to install KDE. KDE not previously
installed. All is normal until the cd disk 1 is asked for. Place CD1 in the
CDROM drive and close door. Automount then runs asking to use automount or not.
Nothing seems to stop the dialog war between Package Management and Automounter.


Version-Release number of selected component (if applicable):
phoebe 0.93 with all Rawhide updates as of 1-29-03 installed via up2date. No
other changes made to system. autofs-3.1.7-35; redhat-config-packages-1.1.5-1


How reproducible: Always


Steps to Reproduce:
1. Eject CDs on Desktop, if any.
2. Run Package Management
3. Select KDE for install, not previuosly installed.
4. Follow the install routine.
5. When Package Manager asks for CD put it in.
6. Automount also runs.
7. No way to get out of the endless dialogs except cancel package install.
8. CD ends up on desktop useable.    

Actual results: Dialog war with no end between automount and Package Management
over CD disk.


Expected results: Packages should be installed, installation CD should not be
mounted on desktop.


Additional info: Made no difference if
Preferences=>CD Properties => all Data CDs check boxes checked or not.

Made no difference if CD requested was in CD drive when starting Package Management.

It made no difference if CD to be requested was in CD drive and mounted when
invoking Package Management.

Comment 1 Jeremy Katz 2004-09-21 13:22:18 UTC
This should be better in newer releases.


Note You need to log in before you can comment on or make changes to this bug.